#!/bin/sh -f
#
# Compile Elmer modules and install it
# 2009.10.25 JvO
#
# Compiler notes from http://www.trueflaw.com/pub/elmer/page1/page1.html
#

# Elmer installation location
export ELMER_HOME=/opt/local/elmerfem_4267 

# replace these with your compilers:
export CC=gcc
export CXX=g++
export FC=/usr/local/bin/gfortran
##export FC=/opt/local/bin/g95
##export FC=/opt/local/bin/gfortran-mp-4.3
export F77=$FC
export MACOSX_DEPLOYMENT_TARGET=10.5

export CFLAGS='-O3 '
export FFLAGS='-O3 ' 
export CXXFLAGS='-O3 ' 
export FCFLAGS='-O3 ' 
export LDFLAGS=' -read_only_relocs warning -L/opt/local/lib '
export CPPFLAGS='-I/opt/local/include'
export LIBS='-L/opt/local/lib'

##export DYLD_LIBRARY_PATH='/opt/local/elmerfem_4267/lib' 

# use Macports qt4-mac Qt? 
#export QTDIR=/opt/local/libexec/qt4-mac
# ElmerGUI
#export ELMERGUI_HOME=/opt/local/elmerfem/trunk/ElmerGUI
#export LD_LIBRARY_PATH=/opt/local/bin
#export QWT_INCLUDEPATH=/opt/local/include

modules="matc umfpack mathlibs elmergrid meshgen2d eio hutiter fem post" 
##modules="fem" 
for m in $modules; do
  cd $m
  ./configure --prefix="$ELMER_HOME" --with-blas="/opt/local/elmerfem_4267/lib/libblas.a" 
  make clean
  make --print-directory
  make install
  cd ..
done

